---
- name: Test Script for Unit Testing
  tasks:
    - name: Verifying standard out works
      shell: echo -n "test string"
      stdout: True
      stderr: True
      success_when: "returncode == 0 and output == 'test string'"

    - name: Verifying standard error works
      shell: echo -n "test string" 1>&2
      stdout: True
      stderr: True
      success_when: "returncode == 0 and error == 'test string'"
